/*
Theme Name: astra child
Description: Thème enfant du thème astra
Author: Oedition
Author URI: https://www.oedition.com
Template: astra
Text Domain: astra-child
*/

/*Barre cookies*/

span#cn-notice-text, #cn-accept-cookie>a, #cn-more-info>a {
    font-family: 'Manrope';
}

a.cn-button.wp-default.cookies {
    background: #145c54!important;
    color: white;
    font-family: 'Manrope';
}

/*Espace avant titre page*/
.ast-single-post .entry-title, .ast-single-post .entry-title a {
    line-height: 1em;
}

/*texte sur image accueil*/

.imageaccueil { 
    position:relative ;
} 

.imageaccueil figcaption { 
    position:absolute; 
    opacity:1;
    bottom:30%; 
    font-family: 'MERRIWEATHER';
    font-size: 2.3em;
    color: white;
    line-height: 1.5em;
    background-color: #145c54;
    padding: 0.5em 1em 0.5em 3.5em;
}

/*blocs accueil*/

div.colonneaccueil {
    padding: 1.8em;
    padding-right: 1em;
}

/*Bouton menu*/

.ast-header-button-1[data-section*="section-hb-button-"] .ast-builder-button-wrap .ast-custom-button {
    font-weight: 800;
}

/*titre accordeon + espace entre éléments*/

.wp-block-ub-content-toggle-accordion-title {
    font-weight:800;
}

.wp-block-ub-content-toggle-accordion .wp-block-ub-content-toggle-accordion-title {
    padding-top:0.5em;
    padding-bottom:0.5em;
}
/*image sidebar + autres sidebar*/

.wp-block-image figcaption {
    margin-top: -1.5em;
    margin-bottom: -0.5em;
}

.widget {
    margin: 0 0 1.8em 0;
}

div#secondary.widget-area.secondary {
    margin-top: 1.7em;
}

/*footer*/

p.footertext {
    font-size: 0.8em!important;
}

.footer-widget-area {
    margin-top: 1.5em;
}

div.ast-footer-copyright p {
    line-height: 1.3em;
}
/*margin colonne*/

div#marginleft {
    margin-left: 0.9em;
}

div.sousliste {
    margin: -0.8em 0 -0.8em 1em;
}

blockquote {
    margin: 1em 1em 1em 3em;
    font-size: 0.9em;
    border-left: 5px solid rgba(4, 163, 155, 0.8);
}

blockquote.encadre {
    border-left: 5px solid #145c54;
}

blockquote.recherche {
    border-left: 5px solid #145c54;
    color: #145c54;
    font-size: 0.8em;
    margin-left: 0.8em;
    padding-top:0.6em;
    padding-bottom: 0.6em;
}

div.ub-styled-box {
    border-left: 4px dotted #04a39b!important;
    background-color: rgba(241,241,241,1)!important;
    padding: 1.3em;
}

div.ub-styled-box p {
    color: #04a39b!important;
}

hr.wp-block-separator {
    color: rgba(241,241,241,1);
    margin: 2.5em 40%;
    height: 0.8px;
}

.wp-block-separator.is-style-dots:before {
    padding-left: 0;
    letter-spacing: 1em;
}

textarea.wpcf7-form-control.wpcf7-textarea {
    height: 10em;
}

/*QUAD menu*/

span.quadmenu-item-content {
    font-family: 'Manrope'!important;
}

#quadmenu.quadmenu-custom_theme_1:not(.quadmenu-is-horizontal) .quadmenu-navbar-nav li.quadmenu-item .quadmenu-item-content {
    padding-left: 0.4em!important;
    padding-right:0.4em!important;
}       

#quadmenu.quadmenu-custom_theme_1:not(.quadmenu-is-horizontal) .quadmenu-navbar-nav li.quadmenu-item .quadmenu-item-content, #quadmenu.quadmenu-custom_theme_1:not(.quadmenu-is-horizontal) .quadmenu-navbar-nav li.quadmenu-item .quadmenu-item-content > .quadmenu-caret {
    padding-left: 0.4em!important;
    padding-right:0.4em!important;  
}

li.prestas>a {
    font-weight: 700!important;
    color: #04a39b!important;
}

#quadmenu li.current-menu-item a{
    text-decoration: underline;
    font-style:italic;
}



 /*Responsive*/

/*.ast-header-break-point .main-navigation ul .menu-item .menu-link {
    padding-left: 30px;
    font-weight: 600;
}*/

@media screen and (max-width: 921px) { 
    figure.imageaccueil {
        display: none;
    }
    
    .imageaccueilmobile figcaption {
        position:absolute; 
        opacity:1;
        font-family: 'MERRIWEATHER';
        font-size: 1.5em;
        color: white;
        line-height: 1.5em;
        background-color: #145c54;
        padding: 0.5em 1em 0.5em 1em;
        margin-bottom: 40px;
    }
    
    .icone figure {
        max-width: 70%;
    }
    
    h5.h5mobile {
        margin-top: 2.5em;
    }
    
    
    aside.widget_block > figure {
    max-width: 75%;
    }
    
    #wprmenu_bar img.bar_logo {
    height: 40px;
    }
    
    ul#wprmenu_menu_ul {
        border-top: 1px dotted #04a39b;
    }
    
    div#secondary.widget-area {
        border-top: 1px dotted #04a39b;
    }
    
    div.wprm-overlay {
        background-color: #145c54!important;
    }
    
    img.wp-image-92 {
        max-width: 70%;
    }
    
    .site-above-footer-wrap[data-section="section-above-footer-builder"] .ast-builder-grid-row {
        grid-row-gap: 1px;
    }
    
    .site-primary-footer-wrap {
        padding-top: 30px;
        padding-bottom: 30px; 
    }
    
    .wp-block-separator.is-style-dots:before {
        letter-spacing: 0.5em;
    }
        
}

@media screen and (min-width: 921px) {
    figure.imageaccueilmobile {
        display: none;
    }
    
    p.paramobile {
        display: none;
    }
    
    div.colonneaccueil {
    padding-right: 5em;
    padding-left: 5em;
    }
    
}
    
/*@media screen and (min-width: 640px) {
    img.wp-image-4366 {
        display: none;
    }
}
*/